<template>
  <div class="calendar">
    <div class="calendar-month">
      <div class="month-text">August 2022</div>
      <div class="month-arrow">
        <div class="arrow">
          <img src="../../public/img/ArrowLeft.png" />
        </div>
        <div class="arrow">
          <img src="../../public/img/ArrowRight.png" />
        </div>
      </div>
    </div>

    <div class="line"></div>

    <div class="calendar-week">
      <div class="week-text" v-for="week in weeks" :key="week">{{ week }}</div>
    </div>

    <div class="calendar-day">
      <div class="weekday" v-for="(weekday, i) in days" :key="`weekday_${i}`">
        <div class="day" v-for="(day, j) in weekday" :key="`day_${j}`" :class="day.class">
          {{ day.days }}
        </div>
      </div>
    </div>
  </div>
</template>

<script>
export default {
  data() {
    return {
      weeks: ["Sun", "Mon", "Tue", "Wed", "Thu", "Fri", "Sat"],
      days: [
        [
          { days: 31, class: "text-grey" },
          { days: 1, class: "text-dark-grey" },
          { days: 2, class: "text-dark-grey" },
          { days: 3, class: "text-dark-grey" },
          { days: 4, class: "text-black background-yellow" },
          { days: 5, class: "text-dark-grey" },
          { days: 6, class: "text-dark-grey" },
        ],
        [
          { days: 7, class: "text-dark-grey" },
          { days: 8, class: "text-green background-green" },
          { days: 9, class: "text-dark-grey" },
          { days: 10, class: "text-dark-grey" },
          { days: 11, class: "text-dark-grey" },
          { days: 12, class: "text-dark-grey" },
          { days: 13, class: "text-dark-grey" },
        ],
        [
          { days: 14, class: "text-dark-grey" },
          { days: 15, class: "text-dark-grey" },
          { days: 16, class: "text-melon border-yellow" },
          { days: 17, class: "text-dark-grey" },
          { days: 18, class: "text-dark-grey" },
          { days: 19, class: "text-dark-grey" },
          { days: 20, class: "text-dark-grey" },
        ],
        [
          { days: 21, class: "text-dark-grey" },
          { days: 22, class: "text-dark-grey" },
          { days: 23, class: "text-dark-grey" },
          { days: 24, class: "text-dark-grey background-grey" },
          { days: 25, class: "text-dark-grey" },
          { days: 26, class: "text-dark-grey" },
          { days: 27, class: "text-dark-grey" },
        ],
        [
          { days: 28, class: "text-dark-grey" },
          { days: 29, class: "text-dark-grey" },
          { days: 30, class: "text-dark-grey" },
          { days: 31, class: "text-grey" },
          { days: 1, class: "text-grey" },
          { days: 2, class: "text-grey" },
          { days: 3, class: "text-grey" },
        ],
        [
          { days: 4, class: "text-grey" },
          { days: 5, class: "text-grey" },
          { days: 6, class: "text-grey" },
          { days: 7, class: "text-grey" },
          { days: 8, class: "text-grey" },
          { days: 9, class: "text-grey" },
          { days: 10, class: "text-grey" },
        ],
      ],
    };
  },
};
</script>

<style scope>
.calendar {
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  padding: 12px 0px;
  gap: 12px;
  position: absolute;
  width: 266px;
  color: black;
  background-color: #fff;
  box-shadow: 0px 4px 16px rgba(165, 163, 174, 0.45);
  border-radius: 6px;
}

.calendar-month {
  display: flex;
  flex-direction: row;
  align-items: center;
  padding: 3px 16px;
}

.month-text {
  width: 162px;
  height: 21px;
  color: #4b465c;
  font-style: normal;
  font-weight: 600;
  font-size: 15px;
  line-height: 21px;
  display: flex;
  align-items: center;
}

.month-arrow {
  width: 72px;
  height: 28px;
  display: flex;
  flex-direction: row;
  align-items: center;
  padding: 0px;
  gap: 16px;
}

.arrow {
  display: flex;
  flex-direction: row;
  align-items: flex-start;
}

.line {
  width: 100%;
  border: none;
  border-top: 1px solid #dbdade;
}

.calendar-week {
  display: flex;
  flex-direction: row;
  justify-content: center;
  align-items: center;
  padding: 0px 14px;
}

.week-text {
  width: 34px;
  height: 34px;

  display: flex;
  justify-content: center;
  align-items: center;
  padding: 0px;
  gap: 10px;

  color: #4b465c;

  font-style: normal;
  font-weight: 600;
  font-size: 13px;
  line-height: 14px;
}

.calendar-day {
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  padding: 0px;
}

.weekday {
  display: flex;
  flex-direction: row;
  align-items: center;
  padding: 0px 14px;
}

.day {
  width: 34px;
  height: 34px;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  padding: 0px;
  font-style: normal;
  font-weight: 400;
  font-size: 15px;
  line-height: 22px;
  cursor: pointer;
  border-radius: 50%;
}
.day:hover {
  background-color: #f2f2f2;
}

.text-dark-grey {
  color: #4b465c;
}

.text-grey {
  color: #aaa;
}

.text-black {
  color: #000;
}

.text-melon {
  color: #d9ef0c;
}

.text-green {
  color: #28c76f;
}

.text-yellow {
  color: #dee34b;
}

.background-yellow {
  background-color: #dee34b;
}

.background-grey {
  background-color: rgba(75, 70, 92, 0.08);
}

.background-green {
  background-color: rgba(40, 199, 111, 0.16);
}

.border-yellow {
  border: 1px solid #dee34b;
}

</style>
